Open yeroca opened 1 month ago
I just now tried importing the STL to Superslicer 2.4, and see the same V-shaped cutout in the same two locations.
Tried on Cura 5.8.1 (latest), and see the same issue.
Thanks for reporting! I'm investigating the issue.
[Add a title above and insert a description of the issue here]
When I export my model as a binary STL (I haven't tried the text mode) and then import it to Orcaslicer, I see some strange cutouts on two ends of the part that don't appear when I export as STEP and then import it to Orcaslicer.
Here are two screenshots from one end of the part and the other. In each you can see a V-shaped cutout near the hole's edge that shouldn't be there (and isn't in the original model). This may be a bug in Orcaslicer, I don't know. I tried importing it into Cura, but it seems my copy of Cura stopped working for some reason.
Core Dump
[coredump-fcc5fe03-c55b-421c-a1d1-0ac1b305dd9a.json](https://public.blob.zoo.dev/9e73b472-4ac0-4444-b548-acbfb49e2adb/modeling-app/coredump-fcc5fe03-c55b-421c-a1d1-0ac1b305dd9a.json) Reference ID: fcc5fe03-c55b-421c-a1d1-0ac1b305dd9aKCL Code
```kcl const holeFudge = 0.4 const frontBarD = 5.0 const yBarD = 6.7 const lowerBlockTransHoleD = frontBarD + holeFudge const lowerBlockTransHoleR = lowerBlockTransHoleD / 2 const upperBlockLongHoleD = yBarD + holeFudge const upperBlockLongHoleR = upperBlockLongHoleD / 2 const upperBlockTransHoleD = yBarD + holeFudge const upperBlockTransHoleR = upperBlockTransHoleD / 2 const tubeClr = 1.5 const lowerBlockH = lowerBlockTransHoleD + 2 * tubeClr const upperBlockH = upperBlockLongHoleD + 2 * tubeClr const elevateH = 5 const upperBlockL = 25 const lowerBlockL = 70 const blockSz = max(upperBlockH, lowerBlockH) const slotL = 10 const slotH = 1 fn slot = () => { const slotSketch = startSketchOn('XZ') |> startProfileAt([0, -(blockSz - slotH) / 2], %) |> xLine(slotL, %) |> yLine(-slotH, %) |> xLine(-slotL, %) |> close(%) return slotSketch } const sketch001 = startSketchOn('XZ') |> startProfileAt([0, 0], %) |> yLine(blockSz, %, $edgeA) |> xLine(blockSz, %, $edgeB) |> yLine(-blockSz, %, $edgeC) |> xLine(upperBlockL - blockSz, %, $edge1) |> yLine(-(elevateH + blockSz), %, $edge2) |> xLine(lowerBlockL - blockSz, %, $edge3) |> yLine(-blockSz, %, $edge4) |> xLine(-lowerBlockL, %, $edge5) |> yLine(blockSz + elevateH, %, $edge6) |> xLine(-(upperBlockL - blockSz), %, $edge7) |> lineTo([profileStartX(%), profileStartY(%)], %, $seg01) |> close(%) // |> hole(slot(), %) |> hole(circle([blockSz / 2, blockSz / 2], upperBlockTransHoleR, %), %) |> hole(circle([ upperBlockL + lowerBlockL - blockSz - lowerBlockTransHoleR - tubeClr, -(blockSz + elevateH + blockSz / 2) ], lowerBlockTransHoleR, %), %) const rad = 3 const extrude001 = extrude(blockSz, sketch001) |> fillet({ radius: rad, tags: [ getNextAdjacentEdge(edgeA), getNextAdjacentEdge(edgeB), getNextAdjacentEdge(edgeC), getNextAdjacentEdge(edge2), getNextAdjacentEdge(edge3), getNextAdjacentEdge(edge4), getNextAdjacentEdge(edge5), getNextAdjacentEdge(edge6) ] }, %) const sketch006 = startSketchOn(extrude001, 'START') |> startProfileAt([-25, 0], %) |> xLine(upperBlockL, %) |> yLine(-upperBlockH, %) |> xLine(-upperBlockL, %) |> lineTo([profileStartX(%), profileStartY(%)], %) |> close(%) /*const sketch007 = startSketchOn(extrude001, 'END') |> startProfileAt([0, 0], %) |> xLine(upperBlockL, %) |> yLine(-upperBlockH, %) |> xLine(-upperBlockL, %) |> lineTo([profileStartX(%), profileStartY(%)], %) */ const frontFaceOff = blockSz const backFaceOff = 0 const bevel = 3 const plane1 = offsetPlane('XZ', frontFaceOff + bevel) /*const sketch010 = startSketchOn(plane1) |> startProfileAt([0,-bevel], %) |> xLine(upperBlockL, %) |> yLine(-(upperBlockH - 2 * bevel), %) |> xLine(-upperBlockL, %) |> lineTo([profileStartX(%), profileStartY(%)], %) */ //const loft001 = loft([sketch010, sketch007]) const sketch004 = startSketchOn(extrude001, 'END') |> startProfileAt([49.92, 13.58], %) const sketch003 = startSketchOn(extrude001, 'END') const sketch002 = startSketchOn(extrude001, seg01) |> startProfileAt([0, 0], %) |> circle([blockSz / 2, -blockSz / 2], upperBlockLongHoleR, %) const extrude2 = extrude(-upperBlockL, sketch002) const sketch005 = startSketchOn('XZ') ```